Subject: Summary: algorithm for eigenvalues

From: [email-masked] (Niels van der Laag)
Date: Fri, 1 Nov 1996 10:49:19 +0100

Dear CCL-ers,

Last week I posted a question about eigenvalaues of a large
banded hermitian matrices. I got several responses which I 
summarized here below.

The best way to do this is to use the Householder reduction and
after that an QR method. With all the answers I recieved,I will
try to modify the algorithm so it would fit strictly to my problem.

For theoretical explenation: 
Wilkinson, "The Algebraic Eigenvalue Problem", Clarendon Press, Oxford (1965)
    (there should be a newer edition, but I didn't find it in our library)
Press et. al., Numerical recipes in C, Cambridge University Press", Cambridge
 (1992)
    (it's now also on the web: http://cftata2.harvard.edu/nr)
Burden and Faires, "Numerical Analysis", PWS Publishing Company, Boston 
 (5th ed., 1993)
    (This is a , IMHO, good introductionary book in numerical analysis,
     It could be used in such a course for computational chemists.)
Wilkinson and Reinsch, "Handbook for Automatic Computation, Vol. II Linear
  Algebra", Springer-Verlag, Berlin (1971)

Many have already implemented the algorithms. They are stored in several
packages. 
Here are some:
LAPACK: http://www.netlib.org/lapack
EISPACK: http://www.netlib.org/eispack
ARPACK: http://www.caam.rice.edu/~kristyn/parpack_home.html

Thanks to all who responded,

Niels 

+----------------------------------------------------------+
| Niels J. van der Laag                                    |
|      Student Computational Chemistry                     | 
|        Dept. of Physical Chemistry  (Solid State NMR)    |
|        University of Nijmegen                            |
|        Toernooiveld 1, NL-6525 ED Nijmegen, Netherlands  |
|        phone: ++31-24-3653112 email: [email-masked] |
|                                      [email-masked]   |
+----------------------------------------------------------+